package com.dora.exception;

/**
 * 身份认证异常类
 * 
 * @author Dora
 */
public class IdentityVerificationException extends RuntimeException {
    
    private static final long serialVersionUID = 1L;
    
    private String errorCode;
    
    public IdentityVerificationException(String message) {
        super(message);
    }
    
    public IdentityVerificationException(String message, Throwable cause) {
        super(message, cause);
    }
    
    public IdentityVerificationException(String errorCode, String message) {
        super(message);
        this.errorCode = errorCode;
    }
    
    public IdentityVerificationException(String errorCode, String message, Throwable cause) {
        super(message, cause);
        this.errorCode = errorCode;
    }
    
    public String getErrorCode() {
        return errorCode;
    }
    
    public void setErrorCode(String errorCode) {
        this.errorCode = errorCode;
    }
}
